# The following tag is to get correct syntax highlighting for this file in vim text editor
# vim: syntax=spec

Name:       system76-driver
Version:    24.04.5
Release:    1
Summary:    System76 Driver CLI and GTK installer 
License:    GPLv3
URL:        https://github.com/szydell/system76-driver

# Detailed information about the source Git repository and the source commit
# for the created rpm package
VCS:        git+git@github.com:szydell/system76-driver.git#405b6777e5ebddfca1bbf6f5c3a936b5f4f5a1a3:

# git_dir_pack macro places the repository content (the source files) into a tarball
# and returns its filename. The tarball will be used to build the rpm.
Source:     system76-driver-405b6777.tar.gz

BuildArch:      noarch

#Packages required for build
BuildRequires: python3-devel

%generate_buildrequires
%pyproject_buildrequires

# More detailed description of the package
%description
System76 Driver
-----
 Drivers installer CLI and GTK version.


%define debug_package %{nil}

#--
%prep
%setup -T -b 0 -q -n system76-driver

%build
%pyproject_wheel
#CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build


%install
rm -rf %{buildroot}
#install -D -m 0755 system76-driver-pkexec -t "%{buildroot}%{_bindir}"
install -D -m 0644 com.system76.pkexec.system76-driver.policy -t "%{buildroot}%{_datadir}/polkit-1/actions/"
install -D -m 0700 system76-nm-restart  -t "%{buildroot}%{_prefix}/lib/systemd/system-sleep/"
install -D -m 0700 system76-thunderbolt-reload  -t "%{buildroot}%{_prefix}/lib/systemd/system-sleep/"
#install -D -m 0700 system76-atlantic-reload  -t "%{buildroot}%{_prefix}/lib/systemd/system-sleep/"

#  %{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
%pyproject_install
rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests

# Those files will be in the rpm
%files
%doc README.md LICENSE
%{_datadir}/polkit-1/actions/com.system76.pkexec.system76-driver.policy
#from setup.py
%{_bindir}/system76-driver
%{_bindir}/system76-driver-cli
%{python3_sitelib}/system76driver*.dist-info
%{python3_sitelib}/system76driver/*
%{_datadir}/applications/system76-driver.desktop
%{_datadir}/icons/hicolor/scalable/apps/system76-driver.svg
%{_prefix}/lib/systemd/system-sleep/*
# Changelog
%changelog
* Thu May 01 2025 Marcin Szydelski <marcin@szydelscy.pl> 24.04.4-1
- bump Version to: 24.04.4-1
- fetch upstream
- Release 24.04.4
- Add bonw16
- Bump version to 24.04.4~~alpha
- Release 24.04.3
- Add darp11, darp11-b
- Bump version to 24.04.3~~alpha

* Thu Mar 06 2025 Marcin Szydelski <marcin@szydelscy.pl> 24.04.2-1
- bump Version to: 24.04.2-1
- fetch upstream
- Release 24.04.2
- Support NVIDIA 570 driver
- Bump version to 24.04.2~~alpha
- Release 24.04.1
- Add thelio-astra-a1.1
- Bump version to 24.04.1~~alpha
- Add noble to distros
- Update version to 24.04.0
- Release 20.04.110
- Add thelio-r5
- Bump version to 20.04.110~~alpha
- Release 20.04.109
- Add linux-system76 arm64 dependency for Noble
- Bump version to 20.04.109~~alpha
- Release 20.04.108
- update changelog
- Adds the os.umame.version option to get the revision of the kernel which
includes the hash like the Pop Support pane
- Bump version to 20.04.108~~alpha

* Fri Dec 20 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.107-1
- bump Version to: 20.04.107-1
- fetch upstream
- Release 20.04.107
- Remove psmouse blacklist on RPL, MTL
- Bump version to 20.04.107~~alpha
- Release 20.04.106
- Add ifupdown as dependency for use in actions
- thelio-astra-a1: Manual configuration of BMC USB ethernet
- Bump version to 20.04.106~~alpha

* Wed Dec 18 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.105-1
- bump Version to: 20.04.105-1
- fetch upstream
- Release 20.04.105
- Add thelio-spark-r2
- Bump version to 20.04.105~~alpha
- Release 20.04.104
- Add thelio-mira-r4
- Bump version to 20.04.104~~alpha
- Release 20.04.103
- thelio-astra-a1: mask suspend
- Bump version to 20.04.103~~alpha
- Release 20.04.102
- Add meer9
- Bump version to 20.04.102~~alpha

* Tue Dec 03 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.101-1
- bump Version to: 20.04.101-1
- fetch upstream
- Release 20.04.101
- Add pang15
- Bump version to 20.04.101~~alpha
- Release 20.04.100
- Add thelio-mega-r4
- Bump version to 20.04.100~~alpha

* Tue Nov 19 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.99-1
- bump Version to: 20.04.99-1
- fetch upstream
- Release 20.04.99
- Bump nvidia-driver to 550
- Bump version to 20.04.99~~alpha

* Thu Oct 17 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.98-1
- bump Version to: 20.04.98-1
- fetch upstream
- Release 20.04.98
- Depend on virtual package for system76-power applet
- Bump version to 20.04.98~~alpha
- Release 20.04.97
- Add thelio-spark-r1
- Bump version to 20.04.97~~alpha
- Release 20.04.96
- Add thelio-astra-a1
- Bump version to 20.04.96~~alpha
- Remove gnome-shell extension dependency for Noble
- Release 20.04.95
- Only require some dependencies on amd64
- Bump version to 20.04.95~~alpha
- Release 20.04.94
- Rebuild for arm64
- Bump version to 20.04.94~~alpha

* Sun Aug 11 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.93-1
- no system76-driver-pkexec
- no system76-atlantic-reload
- no system76-driver-pkexec
- bump Version to: 20.04.93-1
- fetch upstream
- Fix some invalid string escapes which are now warnings in Python 3.12.
- Release 20.04.93
- Merge branch 'master' into gui-not-root
- Merge branch 'master' into bonw15-b
- Bump version to 20.04.93~~alpha
- remove major-r5 sleep hook for 10G ethernet
- Add bonw15-b
- Bump version to 20.04.93~~alpha
- Support running GUI as non-root
- Bump version to 20.04.92~~alpha

* Thu Jul 18 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.92-1
- bump Version to: 20.04.92-1
- fetch upstream
- Release 20.04.92
- Add new model thelio-mega-r3
- Bump version to 20.04.92~~alpha

* Tue May 21 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.91-1
- bump Version to: 20.04.91-1
- fetch upstream
- Release 20.04.91
- Add lemp13-b
- Bump version to 20.04.91~~alpha
- Release 20.04.90
- Fix version in __init__.py
- Add meer8-b (#289)
- Release 20.04.89
- Add darp10, darp10-b
- Bump version to 20.04.89~~alpha

* Tue Mar 26 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.88-2
- bump Version to: 20.04.88-2
- fetch upstream
- Release 20.04.88
- Version fixup

* Mon Mar 18 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.88-1
- bump Version to: 20.04.88-1
- fetch upstream
- Add thelio-r4 (#285)

* Thu Mar 14 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.87-1
- bump Version to: 20.04.87-1
- fetch upstream
- Release 20.04.87
- Blacklist psmouse on new models
- Bump version to 20.04.87~~alpha
- Release 20.04.86
- Add addw4, lemp13, oryp12
- Bump version to 20.04.86~~alpha

* Thu Feb 15 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.85-4
rebuild for F40
- bump Version to: 20.04.85-4

* Wed Feb 14 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.85-3
try to build for epel9
- bump Version to: 20.04.85-3

* Wed Jan 10 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.85-2
- bump Version to: 20.04.85-2

* Thu Jan 04 2024 Marcin Szydelski <marcin@szydelscy.pl> 20.04.85-1
- bump Version to: 20.04.85-1
- Merge branch 'pop-os:master' into master
- Release 20.04.85
- reload atlantic pci bridge to avoid suspend hang
- Bump version to 20.04.85~~alpha

* Wed Dec 27 2023 Marcin Szydelski <marcin@szydelscy.pl> 20.04.84-1
- bump Version to: 20.04.84-1
- fetch upstream
- Release 20.04.84
- Add thelio-major-r5
- Bump version to 20.04.84~~alpha

* Thu Nov 30 2023 Marcin Szydelski <marcin@szydelscy.pl> 20.04.83-1
- bump Version to: 20.04.83-1
- Merge branch 'pop-os:master' into master
- Release 20.04.83
- Add pang14
- Bump version to 20.04.83~~alpha
- shellcheck

* Sun Nov 26 2023 Marcin Szydelski <marcin@szydelscy.pl> 20.04.82-2
- don't save
- bump Version to: 20.04.82-2
- bump Version to: 20.04.82-2
- bump Version to: -
- bump Version to: 20.04.82-2
- new rpm macros

* Sun Nov 26 2023 Marcin Szydelski <marcin@szydelscy.pl> 20.04.82-1
- bump Version to: 20.04.82-1
- Merge branch 'pop-os:master' into master
- Release 20.04.82
- Add meer8
- Bump version to 20.04.82~~alpha
- Release 20.04.81
- Add support for thelio-spark-b1
- Bump version to 20.04.81~~alpha
- Release 20.04.80
- Add support for pang13
- Bump version to 20.04.80~~alpha

* Tue May 23 2023 Marcin Szydelski <marcin@szydelscy.pl> 20.04.79-1
- bump Version to: 20.04.79-1
- fetch upstream
- Release 20.04.79
- Add lemp12
- Add darp9
- Add galp7
- Bump version to 20.04.79~~alpha
- Release 20.04.78
- Add thelio-mira-b4.1
- Bump version to 20.04.78~~alpha
- Release 20.04.77
- Add new RPL laptop models
- Bump version to 20.04.77~~alpha
- Release 20.04.76
- Add meer7
- Bump version to 20.04.76~~alpha

* Tue Mar 07 2023 Marcin Szydelski <marcin@szydelscy.pl> 20.04.75-2
- bump Version to: 20.04.75-2

* Tue Mar 07 2023 Marcin Szydelski <marcin@szydelscy.pl> 20.04.75-1
- bump Version to: 20.04.75-1
- fetch upstream
- Release 20.04.75
- Add thelio-major-r4
- Bump version to 20.04.75~~alpha
- Release 20.04.74
- Add thelio-b5
- Bump version to 20.04.74~~alpha
- Release 20.04.73
- Remove usb audio from user daemon
- Bump version to 20.04.73~~alpha

* Wed Jan 25 2023 Marcin Szydelski <marcin@szydelscy.pl> 20.04.72-1
- bump Version to: 20.04.72-1
- Merge branch 'pop-os:master' into master
- Release 20.04.72
- Blacklist psmouse on TGL and ADL
- Bump version to 20.04.72~~alpha
- Release 20.04.71
- Fix debian/changelog (needed to be released)
- Add thelio-mira-b4
- Add Pang 12 & `touchpad_use_areas` action
- Bump version to 20.04.71~~alpha
- Release 20.04.70
- Add thelio-r3
- Bump version to 20.04.70~~alpha
- Release 20.04.69
- Support nvidia-driver-525
- Bump version to 20.04.69~~alpha
- Release 20.04.68
- Add thelio-major-r3
- Bump version to 20.04.68~~alpha
- Release 20.04.67
- New product: thelio-major-b4
- Bump version to 20.04.67~~alpha

* Wed Nov 02 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.66-1
- bump Version to: 20.04.66-1
- fetch upstream
- Release 20.04.66
- Remove nvidia-driver-510 dependency option for system76-driver-nvidia
- Bump version to 20.04.66~~alpha
- Release 20.04.65
- Add thelio-mira-r3
- Bump version to 20.04.65~~alpha

* Mon Sep 12 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.64-1
- bump Version to: 20.04.64-1
- fetch upstream
- Release 20.04.64
- Add thelio-mega-r2
- Bump version to 20.04.64~~alpha

* Mon Sep 05 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.63-1
- bump Version to: 20.04.63-1
- fetch upstream
- Release 20.04.63
- Revert "Release 20.04.63"
- Release 20.04.63
- Add thelio-b4
- Add oryp10
- Bump version to 20.04.63~~alpha
- Release 20.04.62
- Remove power reset (#250)
- Release 20.04.61
- Add power reset button      (#249)

* Sat Aug 13 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.60-1
- bump Version to: 20.04.60-1
- fetch upstream
- Release 20.04.60
- Add galp6
- Bump version to 20.04.60~~alpha

* Thu Jul 21 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.59-1
- bump Version to: 20.04.59-1
- Merge branch 'pop-os:master' into master
- Bluetooth suspend workaround Updates https://github.com/pop-
os/system76-driver/pull/242 with the new fixes from https://github.com/pop-
os/default-settings/pull/145#pullrequestreview-1026438580 for Ubuntu.
- Release 20.04.59
- Add lemp11 and oryp9
- Bump version to 20.04.59~~alpha
- Release 20.04.58
- Add darp8
- Bump version to 20.04.58~~alpha
- Release 20.04.57
- Bluetooth suspend workaround
- Bump version to 20.04.57~~alpha
- Release 20.04.56
- Support nvidia-driver-515
- Bump version to 20.04.56~~alpha

* Tue Jun 07 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.55-1
- bump Version to: 20.04.55-1
- bump Version to: 20.04.49-2
- Merge branch 'pop-os:master' into master
- Release 20.04.55
- Add thelio-mira-r2
- Bump version to 20.04.55~~alpha
- Release 20.04.54
- Add gaze17
- Bump version to 20.04.54~~alpha
- Release 20.04.53
- Update logs from `system76-driver` to match support panel
- Bump version to 20.04.53~~alpha
- Release 20.04.52
- Merge remote-tracking branch 'origin/mira-b3'
- Add thelio-mira-b2
- Bump version to 20.04.52~~alpha
- Merge branch 'master' into mira-b3
- Release 20.04.51
- Update __init__.py version
- Add thelio-b3 (#232)
- Add thelio-mira-b3
- Bump version to 20.04.51~~alpha
- Release 20.04.50
- Use uname function from os instead of distro
- Bump version to 20.04.50~~alpha

* Sun Mar 13 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.49-1
- bump Version to: 20.04.49-1
- fetch upstream
- Release 20.04.49
- Allow either nvidia-driver-510 or nvidia-driver-470 to be installed
- Bump version to 20.04.49~~alpha

* Mon Feb 07 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.48-3
- bump Version to: 20.04.48-3

* Wed Feb 02 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.48-2
- bump Version to: 20.04.48-2
- substitution fix
- bump Version to: 20.04.48) focal; urgency=low-1
- fetch upstream
- Release 20.04.48

* Tue Feb 01 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.48-1
- bump Version to: 20.04.48-1
- match alphas, but remove ~~*
- bump Version to: 20.04.48~~alpha-1
- match alphas

* Tue Feb 01 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.47-4
- bump Version to: 20.04.47-4
- fetch upstream
- Add kudu6
- Bump version to 20.04.48~~alpha

* Sun Jan 23 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.47-3
- bump Version to: 20.04.47-3

* Sun Jan 23 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.47-2
- bump Version to: 20.04.47-2

* Sun Jan 23 2022 Marcin Szydelski <marcin@szydelscy.pl> 20.04.47-1
- bump Version to: 20.04.47-1
- fetch upstream
- Release 20.04.47
- Add changelog details
- revert some changes to 20.04.45
- Bump version to 20.04.47~~alpha
- Release 20.04.46
- Correct line-in on major-r2.1 with rev1.2 motherboards
- Bump version to 20.04.46~~alpha

* Sat Dec 11 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.45-1
- bump Version to: 20.04.45-1
- fetch upstream
- Release 20.04.45
- Set microphone device for thelio-major-r2.2
- Bump version to 20.04.45~~alpha
- Release 20.04.44
- Add gaze16-3060-b
- Bump version to 20.04.44~~alpha

* Wed Oct 20 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.43-1
- bump Version to: 20.04.43-1
- fetch upstream
- Release 20.04.43
- lemp9: Add intel_idle.max_cstate=4 kernel parameter to fix freezes
- Bump version to 20.04.43~~alpha

* Fri Sep 17 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.42-2
- bump Version to: 20.04.42-2
- merge with message

* Fri Sep 17 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.42-1
- bump Version to: 20.04.42-1
- Merge remote-tracking branch 'upstream/master'
- Release 20.04.42

* Thu Sep 16 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.41-1
- bump Version to: 20.04.41-1
- Merge remote-tracking branch 'upstream/master'
- Add oryp8
- Bump version to 20.04.42~~alpha
- Release 20.04.41
- Add i8042.nomux action to pang11
- Add pang11
- Bump version to 20.04.41~~alpha

* Fri Jul 30 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.40-2
- bump Version to: 20.04.40-2
- .rpkg-build

* Fri Jul 30 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.40-1
- bump Version to: 20.04.40-1
- Merge remote-tracking branch 'upstream/master'
- Release 20.04.40
- Attempt to fix line-in on mira-b1
- Bump version to 20.04.40~~alpha
- Release 20.04.39
- Add gaze16-3050, gaze16-3060
- Bump version to 20.04.39~~alpha

* Mon Jul 12 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.38-3
- bump Version to: 20.04.38-3

* Mon Jul 12 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.38-2
- bump Version to: 20.04.38-2

* Mon Jul 12 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.38-1
- bump Version to: 20.04.38-1
- Merge branch 'pop-os:master' into master
- Release 20.04.38
- Update changelog
- Bump version to 20.04.38~~alpha
- Update tests to reflect expected success on missing parent directories
- Create parent directory of config file if necessary
- Release 20.04.37
- Merge branch 'pop-os:master' into master
- fixing changelog
- update changelog
- Bump version to 20.04.37~~alpha
- this commit add uptime output for support
- Release 20.04.36
- Added quirk for thelio-massive-b1 and Nvidia GPUS
- Bump version to 20.04.36~~alpha

* Wed Jun 16 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.35-5
- clear outdir before

* Wed Jun 16 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.35-4
merge

* Wed Jun 16 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.35-3
- bump Version to: 20.04.35-3

* Wed Jun 16 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.35-2
- bump Version to: 20.04.35-2

* Wed Jun 16 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.35-1
- bump Version to: 20.04.35-1
- Merge remote-tracking branch 'upstream/master'
- Release 20.04.35
- Generalize 11th action name and add a clarifying comment
- Add changelog message
- Add thelio-mira-b1 and its fixes
- Bump version to 20.04.35~~alpha
- Release 20.04.34
- Bump version to 20.04.34~~alpha
- meer5: Fix audio on revision without headphone jack

* Tue May 25 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.33-3
- bump Version to: 20.04.33-3

* Tue May 25 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.33-2
- bump Version to: 20.04.33-2

* Tue May 25 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.33-1
- bump Version to: 20.04.33-1
- Merge remote-tracking branch 'upstream/master'
- Release 20.04.33
- Fix changelog format for make-release
- Improve function name and description.
- Add newline at end of /etc/xprofile contents
- Update changelog
- Bump version to 20.04.33~~alpha
- Apply new meer6 audio fix.
- Release 20.04.32
- Update changelog
- Bump version to 20.04.32~~alpha
- Add meer6

* Tue Apr 06 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.31-1
- bump Version to: 20.04.31-1
- Merge remote-tracking branch 'upstream/master'
- Release 20.04.31
- Update changelog
- Add pang10 WD Blue drive fix
- Bump version to 20.04.31~~alpha
- Replace dh-systemd with debhelper version requirement

* Tue Mar 02 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.30-1
- bump Version to: 20.04.30-1
- Merge pull request #27 from pop-os/master
- Release 20.04.30
- Add lm-sensors as a recommended dependency, fix hang in case of missing
commands, and capture stderr.
- Bump version to 20.04.30~~alpha
- Release 20.04.29
- Add oryp7
- Bump version to 20.04.29~~alpha
- Release 20.04.28
- Disable buggy Intel HDA power saving for thelio-r2
- Bump version to 20.04.28~~alpha

* Mon Feb 08 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.27-1
- bump Version to: 20.04.27-1
- Merge remote-tracking branch 'upstream/master'
- Release 20.04.27
- Add thelio-major-b3
- Bump version to 20.04.27~~alpha

* Wed Jan 27 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.26-2
- bump Version to: 20.04.26-2
- tag after local build

* Wed Jan 27 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.26-1
- bump Version to: 20.04.26-1
- Merge remote-tracking branch 'upstream/master'
- Release 20.04.26
- Remove NVIDIA dynamic power override
- Update to NVIDIA driver 460
- Bump version to 20.04.26~~alpha
- Release 20.04.25
- Update changelog
- adds apt history logs to the driver
- Bump version to 20.04.25~~alpha
- Move wallpapers to recommends and remove gsettings override.

* Sat Jan 16 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.24-2
- bump Version to: 20.04.24-2
- fetch/merge from upstream

* Sat Jan 16 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.24-1
- bump Version to: 20.04.24-1
- Merge remote-tracking branch 'upstream/master'
- Release 20.04.24
- Set card name to 'Audio' on mega-r1*
- Bump version to 20.04.24~~alpha

* Sat Jan 09 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.23-12
- bump Version to: 20.04.23-12
- init date set

* Sat Jan 09 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.23-11
- bump Version to: 20.04.23-11
- repair sort
- clean up
- stop on error + publish to git
- publish to copr with copr-cli
- sort -n, update release
- bump Version to: 20.04.23-10

* Sat Jan 09 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.23-10
- bump Version to: 20.04.23-10

* Sat Jan 09 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.23-9
- bump Version to: 20.04.23

* Sat Jan 09 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.23-8
- static version number in spec file

* Sat Jan 09 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.23-7
(none)

* Sat Jan 09 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.23-6
- lead=

* Sat Jan 09 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.23-5
- cleaning

* Sat Jan 09 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.23-4
- only 1 release to parse

* Sat Jan 09 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.23-3
- increment relase

* Sat Jan 09 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.23-2
- init
- init

* Sat Jan 09 2021 Marcin Szydelski <marcin@szydelscy.pl> 20.04.23-1
- Merge pull request #26 from pop-os/master
- Release 20.04.23
- Fix changelog order
- Revert simplification of find/replace for POSIX compatibility.
- Fix bug introduced while incorporating linting feedback (replace is global.)
- Address linting feedback.
- Bump version/changelog
- Bump version to 20.04.23~~alpha
- Add newline before the added contents if file already existed.
- Remove unnecessary else statement.
- Don't duplicate contents of xprofile if profile.d file needs to be removed.
- Python booleans are capitalized.
- Add missing colon in if statement.
- Move settings to xprofile and don't overwrite existing settings.

* Fri Jan 01 2021 Marcin Szydelski <marcin@szydelscy.pl> 0.18-1
- Merge pull request #25 from pop-os/master
- Release 20.04.22
- Add darp7
- Bump version to 20.04.22~~alpha
- Release 20.04.21
- oryp6: Add i915 driver to initramfs
- Bump version to 20.04.21~~alpha
- Release 20.04.20
- Add i8042.nomux option to gaze15 and serw12.
- Bump version to 20.04.20~~alpha
- Release 20.04.19
- galp5: Set NVIDIA dynamic power to recommended value
- Bump version to 20.04.19~~alpha
- Release 20.04.18
- Update changelog
- Bump version to 20.04.18~~alpha
- Use /etc/profile.d/ instead of /etc/profile
- Consistent ordering.
- Also unset obsolete WebRender override.
- Add content to file, don't overwrite the default contents.
- Fix formatting.
- Enable ForceFullCompositionPipeline on serw12
- Release 20.04.17
- Set card name to 'Audio' for thelio-mega-r1
- Bump version to 20.04.17~~alpha

* Thu Nov 19 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.17-1
- Merge pull request #24 from pop-os/master
- Release 20.04.16
- Add galp5, lemp10, pang10, and thelio-mira-r1
- Bump version to 20.04.16~~alpha
- Enable WebRender on the serw12

* Fri Nov 06 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.16-1
- Merge pull request #23 from pop-os/master
- Merge branch 'master' into master
- firmware removed from package
- firmware removed from package
- wildcard in egg-info file
- pkexec policies
- pkexec policies
- pkexec policies
- README.md
- COPR badge
- initial rpm (rpkg) spec
- fedora maintainer and package url
- update restart command to systemd usage
- Release 20.04.15
- Update NVIDIA driver to 455
- Bump version to 20.04.15~~alpha
- Release 20.04.14
- Update changelog
- Bump version to 20.04.14~~alpha
- add df -h output
- add lsblk -f output to the logs
- Release 20.04.13
- Add thelio-major-r2.1 and thelio-mega-r1.1
- Bump version to 20.04.13~~alpha
- Release 20.04.12
- Remove unused argument to format
- Add bonw14
- Bump version to 20.04.12~~alpha
- Corrects Lintian errors and warning (#145)
- Release 20.04.11
- Update debian/changelog
- Bump version to 20.04.11~~alpha
- Add i8042.nomux to kernel boot parameters on gaze14
- Release 20.04.10
- Update changelog
- Remove USB audio fixups that are now in userdaemon
- Add USB audio fixup to user daemon
- Rename system76-backlight-daemon to system76-user-daemon
- Remove unused systemd-user service
- Add oryp6
- Bump version to 20.04.10~~alpha
- Release 20.04.9
- Recommend amd-ppt-bin in system76-driver-nvidia
- Bump version to 20.04.9~~alpha
- Release 20.04.8
- Add thelio-b2
- Bump version to 20.04.8~~alpha
- Release 20.04.7
- Fix gaze14 and gaze15 name
- Adds more logging
- Bump version to 20.04.7~~alpha

* Mon Apr 27 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.14-1
- Merge pull request #21 from pop-os/master
- Release 20.04.6
- Add addw2 and gaze15
- Bump version to 20.04.6~~alpha

* Fri Apr 24 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.13-1
- Merge pull request #20 from pop-os/master
- Release 20.04.5
- Add thelio-r2
- Add serw12 to model.py
- Add serw12
- Bump version to 20.04.5~~alpha

* Thu Apr 09 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.12-1
- Merge pull request #19 from pop-os/master
- Release 20.04.4
- Update to nvidia-driver-440
- Bump version to 20.04.4~~alpha
- Release 20.04.3
- Add lemp9
- Match any urgency in make-release.py
- Add meer5
- Bump version to 20.04.3~~alpha
- Release 20.04.2
- tests: Replace use of platform with distro
- actions: Fix string comparison involving newline
- bump-version: Allow any urgency level
- Bump version to 20.04.2~~alpha
- fix OS Version for systeminfo.txt output in logs
- Fix changelog version
- update d/control, d/changelog and switches platform to distro to work on 20.04

* Sat Feb 22 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.11-1
- 19.20.2
- Release 19.10.2
- tests: Add mock output for test_PRODUCTS()
- readme: Add steps for making code changes
- Update changelog
- Bump version to 19.10.2~~alpha
- Load USB audio S/PDIF output device

* Sun Jan 19 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.10-1
- Merge pull request #17 from pop-os/master
- Release 19.10.1
- Eoan release
- Bump version to 19.04.23~~alpha
- Release 19.04.22
- Fix for Threadripper 3 USB audio microphone
- Reset headphone volume level on plugin event
- Add usb microphone fix to mega-r1
- Add Thelio Mega products
- Bump version to 19.04.22~~alpha

* Mon Jan 13 2020 Marcin Szydelski <marcin@szydelscy.pl> 0.9-1
- Merge pull request #16 from pop-os/master
- Release 19.04.21
- Set description
- Add audio patches
- Add thelio-major-r2

* Fri Dec 27 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.8-1
- Merge pull request #15 from pop-os/master
- Bump version to 19.04.21~~alpha

* Sat Nov 02 2019 Marcin Szydelski <marcin@szydelscy.pl> 19.04.20-1
- Merge pull request #14 from pop-os/master
- Update NVIDIA driver
- Release 19.04.20
- Depend on linux-system76
- system76-thunderbolt-reload: reload thunderbolt device to avoid hangs
- Bump version to 19.04.20~~alpha

* Sat Nov 02 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.7-1
(none)

* Sun Oct 06 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.6-19.04.15
- firmware removed from package

* Sun Oct 06 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.5-19.04.15
- firmware removed from package
- Merge pull request #12 from pop-os/master
- Release 19.04.18
- Use HWE instead of HWE edge kernel on 18.04
- Bump version to 19.04.18~~alpha
- Release 19.04.17
- Added headset fix to darp6, and renamed references to darp5
- Add darp6 and galp4
- Bump version to 19.04.17~~alpha
- Release 19.04.16
- Update make-release script to not rely on bzr
- Bump version to 19.04.16~~alpha
- Release 19.04.15
- Re-add system76-firmware-daemon
- Depend on firmware-manager-virtual
- Remove firmware GUI, now handled by firmware-manager
- Bump version to 19.04.15~~alpha

* Thu Aug 08 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.4-1
- Merge pull request #11 from pop-os/master
- Release 19.04.14
- Fix separators
- Truncate conffiles
- Add APT preferences to prevent overriding
- Bump version to 19.04.14~~alpha

* Thu Aug 08 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.3-1
- wildcard in egg-info file
- Merge pull request #10 from pop-os/master
- Release 19.04.13
- Blacklist i2c_nvidia_gpu on gaze14
- Bump version to 19.04.13~~alpha

* Tue Aug 06 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.2-1
system-driver can be started from icon now
- Merge pull request #9 from szydell/fedora_rpkg
- pkexec policies
- Merge pull request #8 from szydell/fedora_rpkg
- pkexec policies
- Merge pull request #7 from szydell/fedora_rpkg
- pkexec policies

* Tue Aug 06 2019 Marcin Szydelski <marcin@szydelscy.pl> 0.1-1
- Merge pull request #6 from szydell/fedora_rpkg
- README.md
- md
- md
- COPR badge
- initial rpm (rpkg) spec
- fedora maintainer and package url
- Release 19.04.12
- Blacklist i2c_nvidia_gpu on addw1
- Bump version to 19.04.12~~alpha
- Release 19.04.11
- Update changelog
- Bump version to 19.04.11~~alpha
- Merge pull request #120 from pop-os/mefirmwarecheck
- Merge branch 'master' into addw1
- Allow ME to be disabled when checking for firmware updates
- Release 19.04.10
- Sync instructions with docs
- Merge branch 'master' into addw1
- Depend on system76-oled for brightness support on addw1
- Update changelog
- Update step 8 and 9 to better match firmware interface
- Blue boxes do not appear on some firmware, which is expected. Change the
wording of step 6 to reflect this
- Bump version to 19.04.10~~alpha
- Release 19.04.9
- Merge branch 'master' into ryzen-3xxx
- Fix syntax
- Add desktop firmware success dialog
- Fix success dialog
- Merge branch 'master' into desktop-flash
- Use Linux 5.0 or newer to support Ryzen 3xxx
- Show error dialog if an issue occurs
- Show version 0.0.0 if no version is available
- Improve text for header in error dialog
- addp1 -> addw1
- Add addp1
- Bump version to 19.04.9~~alpha
- Success dialog for thelio io
- Remove changelog on thelio-io, and improve new firmware dialog text
- Ensure that old thelio-io firmware without the revision command is updated
- Missing variable init
- Default desktop environment to empty
- Update changelog
- Add support for updating Thelio Io devices (WIP)
- Fix deprecation warnings
- Remove unused NOTIFICATION_TIMEOUT
- Update gitignore
- Remove unnecessary get_me_enabled function
- Lower sleep time to 5 seconds
- Sleep before starting firmware notification
- Update changelog
- Bump version to 19.04.9~~alpha
- Fix bump-version.py
- Autostart firmware notifier when user logs in
- Do not use ME version to determine if new version is available
- Add meer4 and all thelio products
- Order models by name
- Set flash boolean in model data
- Remove dead code from firmware.py
- Merge pull request #109 from pop-os/bzr
- Update bump-version.py to not require bzr
- Release 19.04.8
- gazp14 -> gaze14 (can be reverted if necessary)
- Add gazp14
- Bump version to 19.04.8~~alpha
- Fix deprecation warnings
- Fix desktop file versions
- Quote home directory in system76-driver-pkexec
- Blacklist i2c-nvidia-gpu on oryp5
- :arrow_up: nvidia-driver-410 -> nvidia-driver-418
- Release 19.04.7
- Update tests to respect option ordering
- Improvements for kernelstub option modifications
- Bump version to 19.04.7~~alpha
- Release 19.04.6
- Add snd_hda_intel.probe_mask=1 for oryp5
- Bump version to 19.04.6~~alpha
- Release 19.04.5
- Do not require build in order to bump version
- Add serw11-b to ESS DAC autoswitch
- Bump version to 19.04.5~~alpha
- Release 19.04.4
- Add thelio-major-b1.1 and thelio-major-b2
- Bump version to 19.04.4~~alpha
- Release 19.04.3
- Update changelog
- Bump version to 19.04.3~~alpha
- Add serw11-b with support for RTX 20x0 GPUs
- Release 19.04.2
- Fix headset microphone on darp5
- Update changelog
- Remove version requirement on system76-wallpapers
- Require either linux newer than 4.18 or linux-generic-hwe-18.04
- Merge branch 'master_disco' into oryp5_disco
- Reduce changes with bionic branch
- Add oryp5 to firmware flashing and supported models
- Bump version to 19.04.2~~alpha
- Release 19.04.1
- Disco release
- Bump version to 18.10.7~~alpha
- Release 18.10.6
- Update products.py for darp5
- Add darp5
- Bump version to 18.10.6~~alpha
- Release 18.10.5
- Add galp3-c to firmware flashing
- Fix changelog and products patches for oryp3-c
- Update changelog
- Bump version to 18.10.5~~alpha
- Add galp3-c
- Release 18.10.4
- Meer4 cosmic (#78)
- Release 18.10.3
- Update changelog, require io-dkms and power
- Bump version to 18.10.3~~alpha
- Revert changelog, update product count, fix desktop file version
- Add thelio-{,major}-{b,r}1 and thelio-massive-b1
- Fix oryp4-b backlight loss of control
- Release 18.10.2
- update changelog
- Bump version to 18.10.2~~alpha
- add remove_switch_internal_speakers action for oryp4-b
- Release 18.10.1
- oryp4: manage processor TDP to maintain stability and optimize performance
- Bump version to 18.10.1~~alpha
- Release 18.10.0
- Add cosmic release
- Update init.py with new version
- Update to cosmic release
- 2nd patch to keep up with kernelstub (#56)
- Bump version to 18.04.28~~alpha
- Release 18.04.27
- update changelog
- Bump version to 18.04.27~~alpha
- update module version
- Don't split() on a list, fix #52 (#53)
- Update changelog (#51)
- Update displayed copyright date (#50)
- Adds a separate icon for the about window (#49)
- Add system76-firmware-pkexec (#48)
- Release 18.04.25
- add nv_reg_enablebacklighthandler to oryp2
- Merge branch 'master_bionic' of github.com:pop-os/system76-driver into
master_bionic
- update changelog
- oryp4-b: switch left and right internal speaker channels (#47)
- Bump version to 18.04.25~~alpha
- Release 18.04.24
- update changelog
- Add actions for ENERGY STAR compliance. (#46)
- Bump version to 18.04.24~~alpha
- Add fixes (#45)
- Add gaze13 and kudu5 (#44)
- Release 18.04.23
- Add daemon item to fix oryp4-b backlight (#40)
- Update schema instead of gsettings command (#42)
- Add system76-power as depends (#41)
- Update __init__.py
- Release 18.04.21
- Change journal capture to 'since yesterday'.
- Update number of products and changelog version
- Add leow9-b
- Release 18.04.20
- Add silw3
- Bump version to 18.04.20~~alpha
- Add oryp4-b to GPE6F patch
- Release 18.04.19
- Add oryp4-b
- Bump version to 18.04.19~~alpha
- Release 18.04.18
- system76driver/products.py: Add nvreg_enablebacklighthandler to orxp1
- Bump version to 18.04.18~~alpha
- Cleanup ESS DAC Autofix
- Merge branch 'master_bionic' of github.com:pop-os/system76-driver into
master_bionic
- Release 18.04.17
- add nvreg_enablebacklighthandler to bonw13
- update changelog
- system76driver/daemon.py: apply headphone dac autoswitching to all pulse users
- Update ISSUE_TEMPLATE.md
- system76driver/daemon.py: fix headphone autoswitching for ess dacs in bionic
- Bump version to 18.04.17~~alpha
- Release 18.04.16
- Add nvreg_enablebacklighthandler for oryp3
- Bump version to 18.04.16~~alpha
- Release 18.04.15
- Remove wildcard quirk handler, update quirk handlers to nvidia-390
- Bump version to 18.04.15~~alpha
- Release 18.04.14
- Add oryp4 to GPE6F fix
- Bump version to 18.04.14~~alpha
- Update tests so they can run on a kernelstub system
- Release 18.04.13
- debian/control: make hidpi-daemon a recommends instead of depends
- update changelog
- system76driver/products.py: fix backlight on serw11
- system76driver/actions.py: make grubactions edit kernelstub configuration if
present
- Bump version to 18.04.13~~alpha
- fix tests
- Readd standard quirks
- Remove NoLogo from quirks
- Release 18.04.12
- Update number of products
- Add oryp4 and galp3-b
- Bump version to 18.04.12~~alpha
- Release 18.04.11
- Sync error message from artful
- Bump version to 18.04.11~~alpha
- Release 18.04.10
- Update changelog
- Bump version to 18.04.10~~alpha
- Test new maint scripts
- Release 18.04.9
- Update changelog
- Bump version to 18.04.9~alpha
- Merge branch 'master_bionic' of github.com:pop-os/system76-driver into
master_bionic
- Delete HiDPI files
- Update python package version
- Edit urgency
- Restore maintainance scripts
- Break out hidpi-daemon package
- Add oryp3-jeremy definitions
- Use Pop build system, depend on system76-dkms
- Release 18.04.6
- Update changelog
- Bump version to 18.04.6~alpha
- Do not show ME version as disabled if the user has chosen to enable it
- Schedule installation
- Sync with artful
- Remove pinned certificates
- Convert to using system76-firmware-daemon
- Release 18.04.5
- Sync with artful
- Bump version to 18.04.5~alpha
- Add acknowledge to errorwindow
- Add error dialog
- Release 18.04.4
- Enable updates on all systems
- Bump version to 18.04.4~alpha
- Release 18.04.3
- Update firmware.py and changelog
- Bump version to 18.04.3~alpha
- Merge with artful branch
- Release 18.04.2
- Add 'leow9', 'leow9-w', and 'wilp14'
- Bump version to 18.04.2~alpha
- Release 18.04.1
- Add 'bonw13' and 'serw11'
- Add debian source format
- Add dh clean target
- Bump version to 18.04.1~alpha
- Revert changelog and init script
- Release 18.04.1
- Add git-ignore-branch to gbp buildpackage
- Fix make-release
- Update changelog
- Bump version to 18.04.1~alpha
- Remove -a from git commit
- Make result dir
- WIP: Switch to git
- Remove .bzrignore
- Release 17.10.6
- update changelog
- system76-driver-backlight.desktop: add autostart desktop file
- debian/system76-driver.links: add backlight service symlink
- Bump version to 17.10.6~alpha
- Release 17.10.5
- update changelog
- backlight daemon fixes
- Bump version to 17.10.5~alpha
- add backlight daemon service for nvidia 9 series on gnome
- Release 17.10.4
- update changelog
- system76driver/daemon.py: xbacklight fix loop
- system76driver/daemon.py: limit xbacklight fix to nvidia models
- system76driver/daemon.py: xbacklight daemon fixes
- system76driver/daemon.py: refactor xbacklight hack
- system76driver/daemon.py: xbacklight values check
- depend on xbacklight
- system76driver/daemon.py: modify brightness daemon with xbacklight workaround
for older nvidia gpus on gnome
- Bump version to 17.10.4~alpha
- Release 17.10.3
- update changelog
- Bump version to 17.10.3~alpha
- debian/system76-driver-nvidia.postinst: process quirks when nvidia driver is
already installed
- Release 17.10.2
- Update product count
- Add lemu8
- Bump version to 17.10.2~alpha
- Release 17.10.1
- Remove acpi_backlight action from 10XX NVIDIA models
- Bump version to 17.10.1~alpha
- Update to artful
- Release 17.04.10
- Add galp3
- Bump version to 17.04.10~alpha
- Release 17.04.9
- Rename oryp3-l to oryp3-b
- Bump version to 17.04.9~alpha
- Release 17.04.8
- Update changelog
- Bump version to 17.04.8~alpha
- Release 17.04.7
- add leow8
- Update changelog
- temporarily revert firmware flashing
- Update number of products
- Add oryp3-l
- add new system-firmware gtk application, systemd service, and other changes
- firmware.py: use json changelog instead of yaml, cache downloads for hashed
files, better file loading, and small fixes
- Update to use yaml library
- firmware: add pinned ssl cert and public signing key
- system76driver/firmware.py: require https connection
- system76driver/firmware.py: added manifest and signed manifest checksum,
locate both manifest and firmware by sha384 checksum
- functional firmware dialog, version checking, and release notes.
- system76driver/firmware.py: use --model argument
- Add python3-nacl
- Rename to system76-firmware-update
- Check for date
- refactor firmware update, check for user login before running
- Add firmware dialog
- Move firmware dialog logic
- Add example of using zenity to prompt the foreground user
- system76driver/firmware.py: Make dialog pretty.
- system76driver/firmware.py: set efi firmware updater to run on next boot
- automated firmware flashing: download, signature checking, and install to
/boot/efi for flashing
- Bump version to 17.04.7~alpha
- Release 17.04.6
- update changelog
- don't disable the system76-dev ppa on release upgrade.
- keep third party software sources enabled on release upgrade
- Bump version to 17.04.6~alpha
- Release 17.04.5
- update changelog
- re-enable opengl flipping on GTX 1060
- debian/system76-driver-nvidia.install: remove workaround for compiz suspend
corruption
- system76driver/hidpidaemon.py: disable compiz workarounds for NVIDIA 375.39
- remove system76-nvidia-375-39-compiz-fix
- Fix for getting fguser
- Change priority of gsettings to 40
- Bump version to 17.04.5~alpha
- Release 17.04.4
- update changelog
- system76-driver/actions.py: enable hidpi scaling for eDP-0 displays
- system76-driver/actions.py: enable hidpi scaling for eDP-0 displays
- set terminal scaling on galp2
- Bump version to 17.04.4~alpha
- system76driver/hidpidaemon.py: add exception handling for call to
update_display_modes()
- Release 17.04.3
- update changelog
- system76driver/hidpidaemon.py: workaround bad EDIDs that report 16x9 instead
of physical dimensions
- system76driver/hidpidaemon.py: update support article url
- system76driver/hidpidaemon.py: update dialog title
- system76driver/hidpidaemon.py: Show dialog in taskbar so user can get back to
it if it's hidden somehow.
- system76driver/hidpidaemon.py: fix typo
- system76-driver/hidpidaemon.py: fix bug where xrandr revert args for nvidia
were applied on intel systems
- system76-driver/hidpidaemon.py: don't set modes on lowdpi laptops
- Add upstart user session service for hidpi daemon
- system76-hidpi-daemon: fix disable configuration
- system76/hidpidaemon.py: optimize performance when internal display isn't
hidpi
- system76-hidpi-daemon: update permissions
- fix path to hidpi daemon systemd user unit
- Add hidpi daemon systemd user unit
- Add daemon to handle mixed hidpi/lowdpi hulti-display setups automatically
- Bump version to 17.04.3~alpha
- Remove extra unneeded PNG
- Make things more consistently readable.
- Fix Restore Label
- Use SVG Assets for Scalability.
- Release 17.04.2
- Update changelog
- Bump version to 17.04.2~alpha
- Update number of products in test_products.py
- Add galp2
- Release 17.04.1
- update debian/changelog
- system76-nvidia-375-39-compiz-fix: set executable
- Fix grapical corruption issue with compiz and NVIDIA 375.39 driver
- Fix grapical corruption issue with compiz and NVIDIA 375.39 driver
- Bump version to 17.04.1~alpha
- Add zesty to bump-version
- Release 17.04.0
- Add release message
- Add zesty distro
- Update init.py
- Update changelog
- Start zenial series
- actions.py: tweak order when adding GRUB_CMDLINE_LINUX_DEFAULT
- actions.py: add GRUB_CMDLINE_LINUX_DEFAULT if not present
- Bump version to 16.10.20~alpha
- Release 16.10.19
- Internal mic gain for kudu4, gaze12
- Add kudu4 and gaze12
- Normalize with 16.04 files
- Bump version to 16.10.19~alpha
- Release 16.10.18
- Update changelog
- Bump version to 16.10.18~alpha
- Release 16.10.17
- Update changelog
- Improvements for ESS DAC - catch suspend/resume and fix long username issue
- Bump version to 16.10.17~alpha
- Release 16.10.16
- Update changelog
- Add meerkat 3
- Bump version to 16.10.16~alpha
- Release 16.10.15
- products.py: add bonw12 and wilp13
- products.py: add bonw12 and wilp13
- Bump version to 16.10.15~alpha
- Release 16.10.14
- update changelog
- Bump version to 16.10.14~alpha
- daemon.py ess fix: Add input profile
- Release 16.10.13
- Update changelog
- Bump version to 16.10.13~alpha
- Use absolute path to avoid index changes
- Release 16.10.12
- Update changelog
- Update to fix description
- Fix for not finding device due to starting too soon
- More descriptive error messages
- Add hda-verb logic
- daemon.py: unbreak unit tests
- Add ESS DAC autoswitch
- Bump version to 16.10.12~alpha
- Remove unused sys import
- Add ESS DAC autoswitch
- debian/system76-driver-nvidia.postinst: NoFlip fix for Serw10 with GTX 1060
- Release 16.10.11
- update changelog
- debian/system76-driver-nvidia.postinst: run quirks-handler on post install
- quirks: Add NoFlip option to oryp2 and oryp3
- Bump version to 16.10.11~alpha
- Release 16.10.10
- update changelog
- quirks: match sys_vendor 'System76'
- add quirks for oryp3 and oryp3-ess
- Bump version to 16.10.10~alpha
- Release 16.10.9
- update changelog
- update tests
- update tests
- update changelog
- add oryp3 and oryp3-ess
- system76driver/__init__.py: Add new sys_vendor to list
- Bump version to 16.10.9~alpha
- Release 16.10.8
- Update debian/changelog
- change model specific nvidia quirks handler to nvidia-375 from nvidia-367
- system76-nvidia-quirks: change quirks handler to nvidia-375|nvidia-340
- debian/control: Depend on nvidia-375
- Bump version to 16.10.8~alpha
- Release 16.10.7
- Correct xrandr output handling for hidpi action.
- Bump version to 16.10.7~alpha
- Correct xrandr output handling for hidpi action.
- Release 16.10.6
- actions.py: Set console font for HiDPI displays.
- Bump version to 16.10.6~alpha
- Release 16.10.5
- actions.py: fix hidpi_scaling action when no hidpi display present
- Bump version to 16.10.5~alpha
- Release 16.10.4
- Release: Add action to configure gsettings override for internal hidpi
displays
- actions.py: add gsettings override for internal hidpi displays
- actions.py: add gsettings override for internal hidpi displays
- actions.py: add gsettings override for internal hidpi displays
- actions.py: add gsettings override for internal hidpi displays
- actions.py: add gsettings override for internal hidpi displays
- daemon.py: add gsettings override for internal hidpi displays
- daemon.py: add gsettings override for internal hidpi displays
- daemon.py: add gsettings override for internal hidpi displays
- Bump version to 16.10.4~alpha
- Release 16.10.3
- daemon.py: fix gpe6F acpi interrupt flood on oryp2 and oryp2-ess
- daemon.py: fix gpe6F acpi interrupt flood on oryp2 and oryp2-ess
- daemon.py: fix gpe6F acpi interrupt flood on oryp2 and oryp2-ess
- daemon.py: fix gpe6F acpi interrupt flood on oryp2 and oryp2-ess
- daemon.py: fix gpe6F acpi interrupt flood on oryp2 and oryp2-ess
- Bump version to 16.10.3~alpha
- Release 16.10.2
- Update debian/changelog
- Add 'lemu7' to PRODUCTS, NEEDS_AIRPLANE
- Bump version to 16.10.2~alpha
- Release 16.10.1
- Update debian/changelog
- Add actions.backlight_vendor to gaze11 and kudu3
- Bump version to 16.10.1~alpha
- Release 16.10.0
- make-release.py, bump-version.py: DISTROS: remove 'wily', add 'yakkety'
- Update debian/changelog
- Oops, turns out it is going to be oryp2-ess after all (not oryp2-dac)
- Bump version to 16.10.0~alpha, start yakkety series
- Bump version to 16.04.14~alpha
- Release 16.04.13
- update changelog
- products.py: Fix touchpad on oryp2 and oryp2-dac
- actions.py: Fix touchpad on oryp2 and oryp2-dac
- actions.py: Fix touchpad on oryp2 and oryp2-dac
- Bump version to 16.04.13~alpha
- Release 16.04.12
- bonw11: add action gfxpayload_text
- Bump version to 16.04.12~alpha
- Release 16.04.11
- data/iec958-stereo-output.conf: replace offending ampersand with plus sign
- Add Pulseaudio description fix for Headphone/SPDIF port
- Bump version to 16.04.11~alpha
- Release 16.04.10
- Add needed debian/changelog entries
- Add actions.dac_fixup to oryp2-ess, bown11
- Have actions.read_hda_id() return 0 when file cannot be found
- Add actions.dac_fixup to serw10
- Drop static system76-audio-patch, system76-alsa-base.conf files as they aren't
going to work
- Add dac_fixup.perform() and its test, other test refactoring
- Rename DACAction to dac_fixup
- actions.DACAction now uses actions.read_hda_id()
- Add actions.read_hda_id() and its test
- Start work on actions.DACAction base class
- Add /etc/modprobe.d/system76-alsa-base.conf
- Add /lib/firmware/system76-audio-patch
- Add 'gaze11', 'kudu3' to NEEDS_AIRPLANE
- Add 'gaze11' to PRODUCTS
- Add 'kudu3' to PRODUCTS
- Bump version to 16.04.10~alpha
- Release 16.04.9
- debian/changelog: notes for 16.04.9
- add bonw11 and serw10 to airplane mode hack set
- add initial serw10 and bonw11
- Need a little ascii sort hack in the quirks
- Bump version to 16.04.9~alpha
- More quirks
- Add quirks/system76-nvidia-quirks-oryp2
- Put system76-nvidia-quirks in quirks/ directory in source tree in prep for
needing more than one quirk
- add initial oryp2
- add sabl6
- Release 16.04.8
- Update debian/changelog: Add 'leow7' to PRODUCTS
- Add 'leow7' to PRODUCTS
- Bump version to 16.04.8~alpha
- Release 16.04.7
- Update debian/changelog
- Drop system76-fix-ecryptfs-swap script as the equivalent has now been
delivered via USN-3032-1
- Bump version to 16.04.7~alpha
- Release 16.04.6
- One more small logging tweak
- system76-fix-ecryptfs-swap: er, put docstring in correct place
- Add needed debian/changelog entries
- Remove noisy logging line from system76-fix-ecryptfs-swap
- debian/system76-driver.postinst: automatically call system76-fix-ecryptfs-swap
- Add docstring to system76-fix-ecryptfs-swap explaining things
- logging tweaks
- setup.py: install system76-fix-ecryptfs-swap
- Drop system76-fix-ecryptfs-swap base on ecryptfs-setup-swap; rename
system76-fix-ecryptfs-swap.py to system76-fix-ecryptfs-swap
- Add new Python impl. of system76-fix-ecryptfs-swap
- We don't need to warn user about about breaking hibernate mode as we wont
actually enable encrypted swap
- Modify logic of $filtered_swaps to only *include* swaps that appear
- Add comment noting modifications by System76
- Copy ecryptfs-setup-swap over from lp:~jderose/ecryptfs/fix-1597154 as
system76-fix-ecryptfs-swap
- Err, on bonw10, orxp1, serw9 flip 'gfxpayload_text' back to
'remove_gfxpayload_text' as the grub line still has problems is some scenarios
with nvidia-367, and we're close to a better fix
- Bump version to 16.04.6~alpha
- Release 16.04.5
- Add changelog entry about lp:1597154
- bonw10, orxp1, serw9: flip 'remove_gfxpayload_text' back to 'gfxpayload_text'
as lack of this line causes problems with encrypted home directory + nvme plus
nvidia driver
- Bump version to 16.04.5~alpha
- Release 16.04.4
- Update debian/changelog
- system76-nvidia-quirks: change Handler to nvidia-367|nvidia-340
- Update debian/changelog about nvidia-367 changes
- debian/control: system76-driver-nvidia now depends on nvidia-367
- Flesh out 16.04.4 changelog with completed items
- oops, fix oops in system76-nm-restart
- oops, forgot license in system76-nm-restart
- Add test work-around for 7260 WiFi sometimes not working when resuming from
suspend on 16.04
- On bonw10, orxp1, serw9, replace gfxpayload_text action with
remove_gfxpayload_text
- Add nvidia-367 to system76-nvidia-quirks Handler
- Add actions.remove_gfxpayload_text to remove GRUB_GFXPAYLOAD_LINUX=text line;
add test for the same
- Bump version to 16.04.4~alpha
- bump-version.py: fix confirm() behavior
- Release 16.04.3
- Update changelog entry
- Make confirm() in bump-version case-insensitive, same as make-release.py
- Another tweak to make-release.py
- Add confirm() function to bump-version.py also
- Add confirm() function to make-release.py
- Fix warning about not using gi.require_version('Gtk', '3.0') (thanks, James
Gross)
- Bump version to 16.04.3~alpha
- Release 16.04.2
- Update debian/changelog
- debian/control: Depend on system76-wallpapers >= 16.04.1~bzr26~ubuntu16.04.1
- Switch default wallpaper to Fractal_Mountains
- Fixed a teeny tiny typo in a comment.
- debian/control: just Build-Depend on pyflakes3, not pyflakes3 | pyflakes
- debian/control: to accomidate pyflakes/pyflakes3 split in Xenial, Build-Depend
on 'pyflakes3 | pyflakes'
- Bump version to 16.04.2~alpha
- Release 16.04.1
- Update debian/changelog
- Update system76-nvidia-quirks handler to 'nvidia-361|nvidia-340'
- nvidia-361 is now in Xenial
- Bump version to 16.04.1~alpha
- Release 16.04.0
- Drop 'Daily WIP...' bit from changelog
- Revert change in -r 455, this svg wont work as the default background
- Bump version to 16.04.0~alpha, start Xenial specific work
- gsettings-override: change default background to Chainlink
- First pass at some release automation scripts: make-release.py and bump-
version.py
- Bump version to 15.10.15~alpha
- Release 15.10.14
- Flesh out debian/changelog entry for 15.10.14
- Add one more scenario to gfxpayload_text.perform() test: when
/etc/default/grub is empty or contains only whitespace
- Use log.info() instead of log.warning() when an action is skipped (already
applied) in ActionRunner.run_iter(); update unit test for
gfxpayload_text.describe()
- Use a clearer description for gfxpayload_text
- A few more small tweaks to actions.gfxpayload_text
- Add --model option to system76-driver-cli, same as system76-daemon
- Further improve actions.gfxpayload_text and make its tests far more rigorous
- Improve actions.gfxpayload_text so it plays nicer with user modifications to
/etc/default/grub
- Update Copyright to 2005-2016 System76, Inc.
- system76-driver-cli now uses get_product_version(), same as system76-daemon
- Add test for get_product_version()
- Add test for get_sys_vendor()
- First pass at having system76-daemon also check sys_vendor for safety
- Drop daemon.get_model() as it's silly at this point, we should just directly
use read_dmi_id()
- Add non-mocked test case for read_dmi_id(), similar to daemon.get_model() test
- read_dmi_id() now raises a ValueError when the key is bad; update and cleanup
its unit test
- Add comment about VALID_SYS_VENDOR
- system76-driver-cli now uses VALID_SYS_VENDOR instead of it's own list
- Slightly rework and cleanup read_dmi_id() function
- Add VALID_SYS_VENDOR table of shame, which now must include 'Notebook' because
of our goof
- Add 'sabl5' to PRODUCTS
- Add 'meer2' to PRODUCTS
- Bump version to 15.10.14~alpha
- Release 15.10.13
- Add leow6 to PRODUCTS
- Bump version to 15.10.13~alpha
- Release 15.10.12
- system76-driver-cli: need to accomidate typo in DMI info for meer1 BIOS 0350
- Move pm_async fix to actions.disable_pm_async, only use on meer1
- Quick test with /etc/tmpfiles.d/system76-disable-pm_async.conf
- Bump version to 15.10.12~alpha
- Release 15.10.11
- bonw10 needs actions.gfxpayload_text
- Bump version to 15.10.11~alpha
- Release 15.10.10
- For now, don't include /var/log/apt/history.log, we need to think on that more
- silw1b --> silw2
- Add actions.backlight_vendor to gaze10, kudu2
- 'Create Log Files' now includes /var/lib/apt/history.log
- Bump version to 15.10.10~alpha
- Release 15.10.9
- gaze10 needs actions.internal_mic_gain
- Bump version to 15.10.9~alpha
- Release 15.10.8
- Update debian/changelog
- kudu2 needs actions.internal_mic_gain
- Update Copyright to 2005-2015
- Add 'kudu2' to PRODUCTS, NEEDS_AIRPLANE, NEEDS_BRIGHTNESS
- Add 'gaze10' to PRODUCTS, NEEDS_AIRPLANE, NEEDS_BRIGHTNESS
- Add 'bonw10' to PRODUCTS, NEEDS_AIRPLANE, NEEDS_BRIGHTNESS_ACPI
- Bump version to 15.10.8~alpha
- Release 15.10.7
- Add actions.internal_mic_gain to lemu6
- Bump version to 15.10.7~alpha
- Release 15.10.6
- system76-driver-nvidia: prep for transition to nvidia-352.63
- Bump version to 15.10.6~alpha
- Release 15.10.5
- Add 'silw1b' to PRODUCTS
- Bump version to 15.10.5~alpha
- Release 15.10.4
- Add actions.gfxpayload_text to 'orxp1'
- Bump version to 15.10.4~alpha
- Release 15.10.3
- Add actions.gfxpayload_text to serw9
- Add actions.gfxpayload_text class and its test
- Bump version to 15.10.3~alpha
- Release 15.10.2, need to handle nvidia-346 transitional packages also
- Release 15.10.1
- Yet another
- Another
- One more go
- Try with Replaces: nvidia-352, libcuda1-352, nvidia-opencl-icd-352
- Add back Conflicts: nvidia-352, libcuda1-352, nvidia-opencl-icd-352
- Back to system76-driver-nvidia only depending on nvidia-346-system76
- Move system76-nvidia-quirks back to system76-driver-nvidia, we'll deal with
that later
- Another test
- Another test
- The ticket is Conflicts: nvidia-352, libcuda1-352, nvidia-opencl-icd-352
- debian/control: system76-driver-nvidia: try Conflicts nvidia-352 to work
around dist-upgrade problem after 15.04 to 15.10 upgrade
- To make 15.04 to 15.10 upgrade easier for customers, have system76-driver-
nvidia depend only on nvidia-346-system76
- oops, 381
- Move system76-nvidia-quirks from system76-driver-nvidia to system76-driver
- debian/control: drop system76-driver Conflicts/Replaces system76-airplane-
mode, no needed for any supported uprgade paths
- Bump version to 15.10.1~alpha
- Release 15.10.0
- Update debian/changelog for release
- gsettings-override: drop org.gnome.settings-daemon.peripherals.touchpad, not
used on Wily
- Flip system76-driver over to using determine_model_new()
- Rough out determine_model_new() to work-around SMBIOS 2.8 issue on orxp1
- Add 'orxp1' to PRODUCTS, NEEDS_AIRPLANE, NEEDS_BRIGHTNESS_ACPI
- Add 'lemu6' to PRODUCTS, NEEDS_AIRPLANE, NEEDS_BRIGHTNESS
- Add 'serw9' to PRODUCTS, NEEDS_AIRPLANE, NEEDS_BRIGHTNESS_ACPI
- Add 'ratp5' to PRODUCTS
- Add 'wilp12' to PRODUCTS
- Prep for nvidia-346-system76 Vivid-->Wily forward-port
- Bump version to 15.10.0~alpha, start Wily series
- gsettings-override: org.gnome.settings-daemon.peripherals.touchpad renamed to
org.gnome.desktop.peripherals.touchpad in Wily
- debian/rules: change system76-driver-nvidia Depends to nvidia-352 or
nvidia-346 or nvidia-340; update quirks file accordingly
- debian/system76-driver.service: add Restart=on-failure
- Bump version to 15.04.8
- Update debian/changelog, release 15.04.7
- system76-driver should have 'Suggests: gnome-color-manager' to make transition
a bit more friendly
- Drop system76-driver Depends: gnome-color-manager as it isn't actually needed
anymore, feels a bit too invasive; however, we'll still pre-install gnome-color-
manager in our standard image
- Bump standards version to 3.9.6
- Fix debhelper-but-no-misc-depends lintian warning for system76-driver-nvidia
- debian/rules: call dh with --buildsystem=pybuild, drop now unneeded
override_dh_auto_clean target
- Drop read_edid(), get_edid_md5() from model as they aren't being used
- Work around Wily build failure by adding new 'setup.py test --skip-gtk'
option, not bothering with xvfb
- Add 'serw8-17g' to PRODUCTS, NEEDS_BRIGHTNESS_ACPI
- Bump version to 15.04.7~alpha
- Release 15.04.6
- Tweak to make merge easier
- Tweak to make merge easier
- Add 'gazp9c' to PRODUCTS, NEEDS_AIRPLANE, NEEDS_BRIGHTNESS
- Add 'kudp1c' to PRODUCTS, NEEDS_AIRPLANE, NEEDS_BRIGHTNESS
- Bump version to 15.04.6~alpha
- Release 15.04.5
- Sync patched analog-input-internal-mic.conf with pulseaudio default file in
Vivid
- Bump version to 15.04.5~alpha
- Release 15.04.4
- Make NEEDS_BRIGHTNESS_ACPI/NEEDS_BRIGHTNESS a bit less error prone
- yes:
- Add 'silw1' to PRODUCTS
- Also add 'serw8-15', 'serw8-17' to NEEDS_BRIGHTNESS_ACPI
- Also add 'bonw9' to NEEDS_BRIGHTNESS_ACPI
- Oops, add 'bonw9' to NEEDS_AIRPLANE
- Bump version to 15.04.4~alpha
- Release 15.04.3
- Add 'serw8-15', 'serw8-17' to PRODUCTS, NEEDS_BRIGHTNESS
- Bump version to 15.04.3~alpha
- Release 15.04.2
- Change default wallpaper to Honeycomb
- Bump version to 15.04.2~alpha
- Release 15.04.1
- Update debian/changelog
- Add 'bonw9' to PRODUCTS, NEEDS_BRIGHTNESS
- Add 'sabl4' to PRODUCTS, NEEDS_BRIGHTNESS
- bump version to 15.04.1
- Release 15.04.0
- Vivid has nvidia-346, nvidia-340
- Bump version to 15.04.0, start Vivid series
- Release 14.10.8
- Update changelog
- Add needed driver actions for 'lemu5'
- Add lemu5, meer1 to PRODUCTS; add lemu5 to NEEDS_BRIGHTNESS
- Add note on Fn+F11 ACPI virtual device
- system76driver.daemon.get_model() now uses system76driver.read_dmi_id()
internally
- Make system76driver.read_dmi_id() failsafe in the face a value with invalid
UTF-8 data
- Bump version to 14.10.8~alpha
- Release 14.10.7
- Update changelog entry about nvidia-343 --> nvidia-346
- Switch over from nvidia-343 to nvidia-346
- Oops, use trailing comma in debian/control, same as 14.04 branch
- Prep for nvidia-343 --> nvidia-346 transition
- Bump version to 14.10.7~alpha
- Release 14.10.6
- Update changelog
- system76-driver.service: WantedBy=multi-user.target
- Add tentative (and untested) debian/system76-driver.service file
- debian/rules: dh --with-systemd
- debian/control: add 'dh-systemd' to Build-Depends
- Small cosmetic changes in products.py so that the diff with the trusty branch
will only included meaningful functionality differences
- Though unneeded on Utopic, bring back 'disable_power_well' action that all
actions and their tests can be in sync between Trusty/Utopic/Vivid
- Re-enable wifi_pm_disable for all haswell gen products, seemingly still needed
with some access points, even with 3.16 kernel
- Bump version to 14.10.6~alpha
- Release 14.10.5
- Drop wifi_pm_disable action from all Haswell gen laptopsh (the 3.16 kernel
plus latest linux-firmware seemlingly resolve all previously encounter problems
with PM being turned on for 3160/7260 cards)
- Add changelog entry about Airplane mode optimizations driven by powertop
- Pretty sure we can use a 750ms timer for Airplane mode without UX consiquences
- A number of tweaks to Airplane.update() to reduce CPU usage
- Some small optimizations in daemon.iter_radios() so it doesn't burn quite as
much CPU time
- AirplaneMode: use io.FileIO for reads instead of io.BufferedReader, to
minimize CPU cycles burned
- No particular reason for daemon.open_ec() to return a io.BufferedRandom,
return io.FileIO instead
- Add internal_mic_gain action back for daru4, gazp9b, kudp1b
- Bump version to 14.10.5
- Release 14.10.4
- Add actions.internal_mic_gain to galu1, changelog entry about same
- Bring back actions.internal_mic_gain, unfortunately still needed for galu1
- Bump version to 14.04.4
- Release 14.10.3
- Update for different filename for default wallpaper
- Small tweak to UI text
- Drop unused 76icon.png
- Flip over to new default background
- In gsettings-override, set 'remote-content-search' to 'none'
- Wallpapers are moving to new system76-wallpapers source tree/package
- Bump version to 14.10.3
- Release 14.10.2
- Add 'leox5' to PRODUCTS
- 'The Leopard Extreme' --> 'Leopard Extreme'
- Bump version to 14.10.2
- Release 14.10.1
- (nvidia-343|nvidia-331|nvidia-331-updates) is probably better
- more whitespace fixes in changelog
- Oops, fix non-standard leading whitespace in changelog bullets
- Bump version  to 14.10.1
- Release 14.10.0
- Remove actions.internal_mic_gain, its test, and analog-input-internal-mic.conf
data file
- Add changelog entry about dropping internal_mic_gain fix
- Okay. use nvidia-343 or nvidia-331-updates
- Quick experiment
- Test for nvidia-331-updates->nvidia-343
- Add missing debian/changelog entry for lp:1378974
- system76-driver-nvidia now Depends on nvidia-343, Conflicts with
nvidia-331-updates
- debian/system76-driver.upstart: 'start on (login-session-start or desktop-
session-start)' seems to do the trick
- Drop actions.internal_mic_gain from all products to help with a round of
testing (seemlingly not needed in Utopic)
- _run_brightness() now uses 'acpi_video0' if model in NEEDS_BRIGHTNESS_ACPI
- Add NEEDS_BRIGHTNESS_ACPI frozenset; remove FIXME about bonx7, bonx8 (they do
need the driver to do brightness restore)
- Oops, add debian/changelog entry
- Finish reworking Backlight.restore() tests to my liking
- Drop DEFAULT_BRIGHTNESS dict and its test
- Add FIXME note about brightness restore for 'bonx7', 'bonx8'
- _run_brightness() now uses NEEDS_BRIGHTNESS
- Brightness.__init__() no longer takes 'default' argument
- Add NEEDS_BRIGHTNESS frozenset as we don't need to supply default brightness
anymore
- Rework Backlight.load() to default to 75% of max_brightness
- Baby steps toward having Brightness class use a default of 75% of
max_brightness
- Update brightness tables for gazp9, gazp9b, kudp1, kupd1b
- Namespace save brightness like 'gazp9.intel_backlight' so we can gracefully
transition from acpi_video0 to intel_backlight
- Add changelog entry for lp:1356507
- Drop actions.disable_power_well and its tests
- Drop actions.disable_power_well from daru4, galu1, gazp9, gazp9b, kudp1,
kudp1b
- Bump version to 14.10, start Utopic series
- Release 14.04.10
- Consolidate changelog entries
- Add 'wilp11' to PRODUCTS
- Add 'rapt4' to PRODUCTS
- Bump version to 14.04.10
- Release 14.04.9
- Add 'sabc3' to PRODUCTS, DEFAULT_BRIGHTNESS
- Oops, actually remove call to daemon.fix_caps() from system76-daemon
- Add 'sabt3' to PRODUCTS, DEFAULT_BRIGHTNESS
- Drop remaining caps fix work-around for imaging problems at start of 14.04
- bump version to 14.04.9
- Release 14.04.8
- Fix typo in changelog
- Re-enable backlight_vendor action on gazp9 as some early BIOS versions still
needed this, even on Trusty
- Bump version to 14.04.8
- Release 14.04.7
- Oops, sys_vendor on daru4 is 'System76, Inc' rather than 'System76, Inc.'
- Bump version to 14.04.7
- Release 14.04.6
- On daru4, replace 'grub_daru4' action with 'backlight_vendor' plus
'disable_power_well' now that GrubAction is cumulative
- Add remove_backlight_vendor action to gazp9, gazp9b to properly remove
acpi_backlight=vendor from GRUB_CMDLINE_LINUX_DEFAULT
- No longer need caps fix on /bin/ping, /bin/ping6, /usr/bin/arping
- system76-driver-cli now aborts if /var/cache/system76-pre-master.marker
- Add changelog entries about postinst, bit of cleanup
- Don't use -e in postinst
- Re-work system76-driver-cli to me more forgiving, more suitable for calling
from postinst; add first rough pass at postinst script
- Add generic system76driver.read_dmi_id() function for reading sys_vendor,
product_version from /sys without calling dmidecode
- Add debian/changelog about dropping python3-dbus Build-Depends/Depends
- We no longer need Build-Depends/Depends on python3-dbus, as we dropped the
color-profile actions
- bit clearer in the changelog
- Add debian/changelog entries
- Remove sata_alpm action as it isn't actually being used
- Add better class documentation to GrubAction, plus a two examples
- Cleanup and simplify unit tests for all GrubAction subclasses, add unit tests
for subclasses that lacked them before
- Port remaning GrubAction subclasses to new API (extra => add)
- Add GrubAction.get_isneeded_by_set() and its test, now used by
GrubAction.get_isneeded()
- debian/control: should really depend upon 'pm-utils'
- Add unit test for GrubAction.build_new_cmdline()
- Rework GrubAction, its tests, its subclasses, and their tests to use set
operations so user customizations are preserved
- Remove *.icc in system76driver/data/
- Remove BaseColorAction, ColorAction, NvidiaColorAction, and their tests
- Drop all color profile actions
- Bump version to 14.04.6
- Release 14.04.5
- Add daemon.fix_caps() to correct for imaging not correctly preserving xattrs
for a time after Trusty release
- Up Airplane Mode poll interval to 500ms (from 375ms)
- /sys/module/ not /sys/modules/
- Lets try one aligator
- Oops, must be named /etc/pm/power.d/audio
- Add grub_daru4 action to daru4, which combines the backlight_vendor and
disable_power_well actions
- Add disable_power_well action to galu1, gazp9, gazp9b, kudp1, kudp1b
- Drop acpi_backlight=vendor fix for gazp9/gazp9b (not needed on Trusty)
- Add hdmi_hotplug_fix action to daru4, galu1, gazp9, gazp9b, kudp1, kudp1b
- Add unit test for disable_power_well
- Add disable_power_well Action; rework GrubAction and lemu1 unit tests so
GRUB_MOD can be a template reusable by other GrubAction subclasses
- Add hdmi_hotplug_fix Action
- Bump version to 14.04.5
- Release 14.04.4
- Add all needed entries for 'kudp1b'
- Add all needed entries for 'gazp9b'
- Bump version to 14.04.4
- Release 14.04.3
- Fix system76-driver.desktop so driver shows up in System Settings on Trusty
- Bump version to 14.04.3
- Release 14.04.2
- debian/control: bump Standards-Version to 3.9.5
- Drop 'lemu1' drive action on 'gazp7', not needed on Ubuntu 14.04
- Also add 'bonx8' to DEFAULT_BRIGHTNESS
- Add 'ratp3' to PRODUCTS
- './setup.py test' now does static analysis with 'pyflakes3'
- setup.py: require Python >= 3.4 as we wont be testing with 3.3 anymore
- daru4 is now named 'Darter UltraTouch'
- Bump version to 14.04.2
- Release 14.04.1
- Add 'bonx8' to PRODUCTS, NEEDS_AIRPLANE
- Bump version to 14.04.1; disable WiFi power management on daru4, kudp1
- Release 14.04.0
- Never mind, still need system76-nvidia-quirks
- Drop system76-nvidia-quirks as nvidia logo is off by default in Trusty
- system76-driver-nvidia should use nvidia-331-updates for Trusty
- Bump version to 14.04.0, start Trusty series
- Release 13.10.6
- Added 'sabc2' to PRODUCTS, DEFAULT_BRIGHTNESS
- Added 'sabt2' to PRODUCTS, DEFAULT_BRIGHTNESS
- Bump version to 13.10.6
- Releasing as 13.10.5
- Added 'sabt1' to PRODUCTS, DEFAULT_BRIGHTNESS
- Bumped version to 13.10.5
- Releasing as 13.10.4
- Actually, daemon.get_model() should fail graefully by returning None upon a
FileNotFoundError; let's run that non-mocked test scenario on the build servers
after all
- Nope, build servers don't like me trying to read
'/sys/class/dmi/id/product_version'
- system76-daemon: GLib.threads_init() is deprecated on Saucy
- removed unused sys import in daemon
- changelog
- daemon.open_ec(): using fcntl.flock() to get a lock on the fd is pretty
pointless, stop doing that
- system76-daemon: drop imprted modules from 121 to 118 by using
daemon.get_model() instead of model.determine_model()
- Added daemon.get_model() and its test
- system76-daemon: drop imported models from 143 to 121 by not using
actions.tmp_filename() in daemon.save_json_conf()
- kudp1 brightness hack should use acpi_video0 as using intel_backlight has odd
behavior when increasing the brightness
- Brightness restore fixed: system76-daemon needs to start on 'login-session-
start', not 'local-filesystems', which was silly and kinda worked by accident in
Raring
- whitespace
- Tweak daemon.load_json_conf() so it doesn't annoyingly log an exception on
FileNotFoundError
- Added some debugging for brightness hack not working now on Saucy
- Add 'kudp1' to PRODUCTS, NEEDS_AIRPLANE, DEFAULT_BRIGHTNESS
- Enable Radeon GPU power management on panp7
- Bumped version to 13.10.4
- Releasing as 13.10.3
- Split common color profile stuff out into BaseColorProfile class; added tests
for its describe(), get_isneeded(), and atomic_write() methods
- Experiment with writting temp icc file into /var/lib/colord/icc, in case
/var/lib and /var/tmp are at different mount points
- Bump version to 13.10.3
- Oops, hiding input source indicator by default causes issues
- Bumped version to 13.10.2
- Updated changelog
- two-finger-scrolling is on by default in 13.10, remove override
- gsettings-override: experiment with [com.canonical.indicator.keyboard]
visible=false
- UltraThin
- Bumped version to 13.10.1
- Bump version to 13.10.0, it's Saucy time
- Added internal_mic_gain action to daru4, galu1
- Made needed 'volume = merge' => 'volume = zero' change
- Added internal_mic_gain action and its tests
- Added default config file from pulseaudio
- set daru4 default brightness at 569
- Nope, can't anything in org.compiz.profiles.unity.plugins.core
- Oops: org.compiz.profiles.unity.plugins.core
- gsettings-override: 'Enable workspaces' by default
- Added daru4 to PRODUCTS, NEEDS_AIRPLANE, DEFAULT_BRIGHTNESS
- Re-enable use of /etc/system76-daemon.json for pre-vendor BIOS testing
- Bumped version to 13.04.11
- Oops, also add 'leox4' to model.py, update len(PRODUCTS) test
- Bumped version to 13.04.10
- Added 'leox4' to PRODUCTS
- Bumped version to 13.04.9
- Added quick dmi-test script, plus model.get_all_dmi_info() function
- Added 'wilp10', 'ratp2' to PRODUCTS table
- Bumped version to 13.04.8
- All in for 319
- Prep for experiment with nvidia-319 backport
- For gazp9, galu1, bonx7, added 'screens' dict in PRODUCTS table
- Bumped version to 13.04.7
- Added glossy DeviceId, fixed profile mix up
- typo in DeviceId
- Added NvidiaColorAction base class and bonx7_icc action as for those displays
the DeviceId is actually usefull
- Added a sanity check on the ICC profile file naming conventions
- Added ICC color profiles for bonx7 matte and glossy screens
- Bumped version to 13.04.6
- actions.plymouth1080 seems problematic on 'bonx7', disable for now
- Added test for Backlight.restore(); added quick work-around for
'/sys/class/backlight/acpi_video0/brightness' not existing sometimes on the
galu1 when the daemon starts
- Use "Sytem76 nVidia Card" instead of "My Card" in quirks file
- system76-driver-nvidia now installs a quirks file to prevent the nvidia logo
from showing its ugly face during the boot
- Added 'bonx7' to DEFAULT_BRIGHTNESS
- We don't need the manual model override in /etc/system76-daemon.json ATM, so
disable for now
- Oops, fix run_brightness() to pass model to Brightness.__init__()
- Renamed read_json_conf() to load_json_conf(), write_json_conf() to
save_json_conf()
- Brightness now saves in a json object using the model as a key, so things work
gracefully if you happen to move a drive between two different System76 products
- Added write_json_conf() and its test
- Another file name tweak
- Slight tweak in filename
- Updated gsettings override with default wallpaper
- Added wallpaper
- Added bonx7 to NEEDS_AIRPLANE
- Added bonx7 to PRODUCTS
- settings tweak (2)
- settings tweak
- deleted deprecated daemon.run_loop() function; bit of whitespace cleanup
- system76-daemon now checks /etc/system76-daemon.json for model override
- Added read_json_conf() and its test
- Added galu1_icc Action to install color profile
- Bumped version to 13.04.5
- Added 'galu1' to DEFAULT_BRIGHTNESS
- Added tests for daemon.NEEDS_AIRPLANE, daemon.DEFAULT_BRIGHTNESS constants
- Added 'galu1' to PRODUCTS table, airplane mode
- Hmm, system76-driver-nvidia should probably be Architecture: all
- Added needed driver actions in for gazp7, gazp8, gazu1
- Added system76-driver-nvidia dummy package that currently depends on
nvidia-313-updates
- Bumped version to 13.04.4
- Added sanity check test for the 3 scripts; fixed system76-driver-cli so it
uses ActionRunner instead of run_actions()
- Added an Apport hook
- Added ColorProfile.edid_md5 property
- Added new ActionRunner class; cleaned up how UI handles button sensitivity
- Gtk UI now logs to /var/log/system76-driver.log
- Log monotonic time and process start; run_airplane() and run_brightness() are
now wrapped in a try/except so we can log any unhandled exceptions, but without
crashing the daemon
- Backlight can now support both 'intel_backlight' and 'acpi_video0'; added
sabc1 to products the daemon fixes brightness for
- Merged from trunk
- Bumped version to 13.04.3
- Added Action.isneeded property
- Renamed Action.isneeded() to get_isneeded()
- No need for model.dmidecode() to use 'sudo'
- Removed unneeded Action.ppa, Action.update_package_list attributes
- Removed unneeded apt helper functions
- Removed unneeded fingerprintGUI and airplane_mode actions
- Removed use of 'prefs' in system76-driver-cli
- Actually, gazp9 really does need actions.wifi_pm_disable
- PRODUCTS entries no longer have {'prefs': []}
- Added missing system76driver/data/76icon.svg
- Removed print() from system76-driver
- rm cruft: System76Drivergtk3.py
- Renamed system76-driver-gtk to system76-driver; system76-driver to
system76-driver-cli
- Removed executable bit of a bunch of files wasn't needed
- Oops, didn't mean to delete setup.py
- Giant cruft removal
- Correctly set detailsText
- Install/Restore buttons are now disabled when no drivers are needed for
product
- Hooked up 'Create Support Logs' button
- system76-driver-gtk now takes --home arg with homedir of original calling
user; system76-driver-pkexec now passes HOME to same
- Added create_support_logs()
- rm crutft: acpi*, rtl8187b*, uvc*
- No longer using prefs.py
- rm cruft: System76Driver.py, fprint*, hotkey*, nvidia-settings.desktop,
ubuntuversion.py
- Bumped default gazp9 brightness to 690 (7 down from max)
- Disable buttons when Restore is clicked
- rm cruft: ricoh*, jme*
- rm cruft: system76.py, old *.override, old *.glade
- Removed old sources.list_*, xorg.conf_* cruft
- Bumped version to 13.04.2
- Oops, call UI.set_notify() when Restore is clicked
- Oops, display DeviceId wont work, need to use EDID md5
- Final color profiles
- Need dh_installgsettings --priority=90
- Need longer sleep colord to pick up new profile
- Added gazp9 glossy ICC profile with corrected name
- Fixed missing dependencies
- Renamed 'airplane' module to more apt 'daemon'
- Now running airplane mode stuffs too
- Oops, corretly create /var/lib/system76-driver in debian/rules
- Added Brightness class and tests for saving/restoring brightness
- debian/rules now creats /var/lib/system76-driver; small settings tweak
- Quick doodle on writting the default brightness
- Rolled system76-airplane-mode package back into system76-driver packaged;
renamed system76-airplane-mode to system76-daemon
- Should depend on gnome-color-manager
- Better tmp file strategy when writting ICC
- Added ColorAction for installing ICC profiles
- added simple model.read_edid() function, currently hard-coded to
intel_backlight
- As fingerprintGUI UX is a bit to rough, disable for now
- Nah, no reason to always depend on dkms
- system76-driver-gtk now starts even when model is unknown, displayes useful
info
- Updated CLI to use run_actions()
- run_actions() now uses yield instead of a callback
- airplane_mode.perform() no longer updates the package list, now relies on
run_actions
- fingerprintGUI.perform() no longer adds ppa, updates package list, instead
rellies on run_actions()
- GrubAction.perform(), plymouth1080.perform() no longer call update-grub
themselves, now rely on run_actions()
- Added test for run_actions(), which now handles PPAs also
- Renamed random_tmp_filename() to tmp_filename()
- Bit of cleanup on the apt helper functions
- Doodle action.run_actions() function that ensures 'apt-get update' is only run
one if needed at the start, and the 'update-grub' is only run once at the end if
needed
- Using synaptic as a reference, got .desktop working with pkexec
- More or less got .destkop file working
- Roughed out running actions in background thread
- UI.__init__() now connects all clicked signal handlers
- Added new gtk model with UI class, tests for the same; added same --model and
--dry args to system76-driver-gtk
- Stubbed out system76-driver-gtk; added system76driver/data/ package data with
glade file and icons
- Added driver actions for lemu4, panp9
- plymouth1080.perform() also needs to check_call(['update-grub'])
- Oops, GrubAction.perform() needs to check_call(['update-grub'])
- Added Action.read_and_backup() method used to do the namesake in all
subclasses
- Added Action.atomic_write() method used to do the namesake in all subclasses
- plymouth1080.perform() is now atomic; plymouth.iter_lines() now creates a
backup file first
- GrubAction.perform() is now atomic; GrubAction.iter_lines() now creates a
backup first
- Let's keep the PRODUCTS dict in pretty-print form
- Added --dry aption to system76-driver
- Added gazp9 to PRODUCTS; stubbed out system76-driver CLI script to run the
driver actions non-interactively
- Added airplane_mode Action
- Added backlight_vendor action for gazp9
- Not using toggle_bit6() anymore
- make system76-driver depend on dkms, linux-headers-generic
- Added prefs.set_two_fingur() and its test
- Doodle on prefs model, added debian/system76-driver.gsettings-override
- sata_alpm now subclasses from FileAction
- uvcquirks now subclasses from FileAction
- New FileAction base class; FileAction.perform() is not atomic, works
regardless what perms of existing file was
- Wip
- In PRODUCTS table, 'prefs' is nicer than 'defaults'
- We can probably get away with polling only every 0.375 seconds
- Tweak to kepress handling 'old' state variable will always hold what was
written out to /sys
- So that multiple keypress events aren't registered during time it takes to
make state change, don't clear keypress bit till after state change completes
- After Fn+F11 keypress, immediatey set LED state so light is responsive when
turning airplane mode off
- Nicer logging in airplane.py
- To prevent multiple daemon instances from running, open_ec() now aquires
fcntl.LOCK_EX on ec0/io
- Split out into separate 'system76-airplane-mode' binary package; added upstart
script
- run_loop() now handles all permutations with keypress and indicator actions
- Doodle on polling state in /sys/class/rfkill, making LED reflect that state
- Use /sys/class/rfkill/rfkill?/name as a stable radio ID that doesn't change
after a suspend/resume
- run_loop() now restores BT/WiFi based on previous state
- All values in PRODUCTS now have {'defaults': []}
- run_loop() now sets state on radios
- Added system76-airplane test script
- Added functions for Airplane mode hotkey fix
- Added sata_alpm Action
- Ported uvcquirks
- Oops, that version in debian/control wont work the way we want with the daily
builds; bumped version to 13.04.1
- All product entries now include {'drivers': []}
- Ported plymouth1080
- Ported fingerprintGUI action
- Fixed a few errors in full product names
- Added long name to each value in PRODUCTS
- values in PRODUCTS are better as dict, so we can extend but provide easy
defaults
- Added some missing products in products.PRODUCTS and model.TABLE
- Added test for actions.lemu1
- Stubbed out PRODUCTS table
- Constants at the top
- Added GrubAction base class for actions like lemu1 that modify
GRUB_CMDLINE_LINUX_DEFAULT
- Added wifi_pm_disable Action as proof of concept
- Stubbed out actions.Action class with API that seems a good fit for both
'driver' and 'restore' actions
- typo
- Added careful test for models that occur more than once in model.TABLES
- Added determine_model() and its test
- Added 'model' module with dmidecode(), get_dmi_info() functions; added tests
for the same
- Added simple mockable layer for subprocess.check_call(),
subprocess.check_output()
- Stubbed out debian packaging
- Stubbed out 'system76driver' Python3 package
- Fixed wireless and bluetooth hotkey bug on the lemu4,
-   driverscontrol.py - Remove brightness key fix for 13.04 - No longer
necessary.
- Replace gksu with gksudo for compatibility
- added:
- Remove Inline Debian packaging to simplfy package creation.
- base_system.py - Remove horizontal scrolling from 13.04
- Really add debian inline packaging
- Fix change regarding driversdescribe.py
- Fix issue where Dashes aren't allowed in Class names
- Add module to disable WiFi power saving
- Add support for 13.04
- Pull in latest Source code
- 1.) Fix lightdm race condition on current models
- 1.) Add Ubuntu 12.10 support
- Re-add missing files.
- Fix logs issue in GTK2 interface
- Cleaned up source code for final release, ready for testing
- Minor text fixes
- Fixed a couple of UI issues: Removed colons from System information as per
Gnome HIG, and tweak margin on right of drivers details text field.
- Merged from parent branch: Somehow, the colon got added back in. Removed it
- Somehow, the colon got added back in. Removed it
- Merged from parent branch: Reworked the details pane to use a GtkExpander
instead of a GtkToggleButton. This simplfies the code. Also added some basic
help text to the details pane, and added an option to list driver details from
the command line (system76-driver -l)
- Reworked the details pane to use a GtkExpander instead of a GtkToggleButton.
This simplfies the code. Also added some basic help text to the details pane,
and added an option to list driver details from the command line
(system76-driver -l)
- Fixed missing window icon
- Cleaned up interface due to reduced horizontal space
- Fix broken startup script
- Fix broken file pointing to wrong glade file.
- Forgot to add in updated glade file.
- Added some logic telling if all drivers for the system are provided by Ubuntu.
- Made the path to our glade file relative to the current directory, rather than
absolute
- Got the new driver details pane up and working flawlessly. Need an OK on the
design
- Got the description system working with the Test Drivers. Now to go driver-
wide
- reconfigured driverscontrol.py to use new class-based drivers
- started adding in blueprint for driver details
- Replaced forgotten startup script with version that checks for GTK3 or later.
- Updated Glade file so that windows open in center.
- Clean up source code for final release
- System76Driver.py - Update to have the driver version in the about dialog
updated automatically from ubuntuversion.driver()
- Clarify source files for Main frontends, and update driver version in GTK2
glade file.
- Really upload new source files for 2.9
- Copied source files for 2.9 dev
- Update local code commit for a new LP branch.
- 1. Add new Bonobo Performance (bonp3)
- * Fix Starling Ultra (star1) wireless in Ubuntu 9.10
- Add --assume-yes to fix linux-backports-modules installation
- update driver version 2.3.5
- 1.) Fix Bonobo (bonp2) brightness hot keys
- 1.) Add Starling Netbook (star1)
- 1.) Add command line restore and install driver options
- Fix daru1 touchpad on/off hotkey
- 1.) Fix panp4 mic and sound after resume LP #264516
- Update Ubuntu version detection for upcoming 8.04.1 release
- Fix missing () in driverscontrol
- 1.) [hardy] fix sound on resume from suspend LP Bug #223742 (serp3)
- 1.) [hardy] fix sound on resume from suspend LP Bug #223742
- Fix nVidia installation on restore (command changed in Hardy)
- 1.) Update version in Glade file
- 1.) Add Hardy support.
- --------------------------------------
- 1.) fixed issues detecting package managers
- 1.) Clean out legacy unnecessary drivers
- add new versioned files
- Add checks for running package managers
- 1.) Clean out legacy unnecessary drivers
- Version 2.1.2
- merge from 2.0 trunk
- update prior to merge
- add unversioned files
- clean
- make sure we're up to date before 2.1 merge
- 1.) Add new Gazelle Value (gazv5) model
- 1.) Fix Darter Headphone Sensing Bug #130669
- merge from main
- .glade causing merge issues
- add support tab
- Fix Darter headphone sense Bug #130669
- fix bug to apply piix fix for Santa Rosa CDROM's
- merge from 2.0
- Add support tab
- 1.) Add new Pangolin Value (panv3)
- fix permissions on asus-display-switch.sh
- correct driverscontrol module calls
- fixed hotkey module import in driverscontrol
- Fix Darter (daru1) FN+F8 monitor switching Bug #116107
- Fix Darter (daru1) FN+F8 monitor switching Bug #116107
- backup acpi files before inserting new
- update about dialog version
- Fix network-manager wireless interface recognition after resume
- update changelog
- fixed nvidia rotation bug #118854 fixed laptop and desktop suspend support on
feisty bug #114675
- initial bazaar revision - System76 Driver 2.0.4
